Index: modules/codec/libmpeg2.c
===================================================================
--- modules/codec/libmpeg2.c	(revision 20704)
+++ modules/codec/libmpeg2.c	(working copy)
@@ -607,6 +607,11 @@
 
     if( p_pic == NULL ) return NULL;
 
+    /* Set proper picture aspect */
+    p_pic->format.i_aspect = p_sys->i_aspect;
+    p_pic->format.i_sar_num = p_sys->i_sar_num;
+    p_pic->format.i_sar_den = p_sys->i_sar_den;
+
     p_pic->b_progressive = p_sys->p_info->current_picture != NULL ?
         p_sys->p_info->current_picture->flags & PIC_FLAG_PROGRESSIVE_FRAME : 1;
     p_pic->b_top_field_first = p_sys->p_info->current_picture != NULL ?
